Subject: Re: [CDNi] "CDN Interconnect" BOF in Prague - SDOs descriptions

From: Ben Niven-Jenkins <[email-masked]>
Date: Fri, 7 Jan 2011 18:09:19 +0000

Emile,

Thanks for your response and clarification, my apologies for the delay in responding.

I am currently updating the problem statement and will include the modified text you suggest on the different standards bodies and their current work in the updated draft.

Regarding your proposal to "discuss each CDNi aspects in a dedicated section", I suggest we structure this section along the lines of the four CDNI APIs we propose and for each API describe what parts of existing CDNI work in other SDOs could be reused and what gaps still exist. Does this sound a reasonable way to structure the gap analysis you asked for?

Thanks
Ben

On 23 Dec 2010, at 18:47, <[email-masked]> <[email-masked]> wrote:

> 
> Hi Ben
> 
> See below,
> 
>> -----Message d'origine-----
>> De : Ben Niven-Jenkins [mailto:[email-masked]]
>> Envoyé : jeudi 23 décembre 2010 11:47
>> À : STEPHAN Emile RD-CORE-LAN
>> Cc : [email-masked]; [email-masked]
>> Objet : Re: "CDN Interconnect" BOF in Prague - SDOs descriptions
>> 
>> Emile,
>> 
>> I do not quite understand what you are suggesting.
> 
> The "Gap analysis in standardization" presents each SDO and at the same time starts to discuss the works of each SDO with regards of CDNi aspects. 
> 
> I think that it is preferable to start by a 'flat' presentation of the  bodies involved in CDNs and then to discuss each CDNi aspects in a dedicated section.  
> I inserted a proposal at the end of the mail.
> 
>> 
>> The text you have below is similar to the text we already have in the
>> problem statement draft, are you proposing we replace (or merge) the
>> existing text with what you have written below? We can certainly do that.
> 
> 
> The text in the PS does not reflect the works of OIPF and TISPAN. 
> 
> Regarding TISPAN, the CDN specification is not an extension of the IPTV specifications. IPTV must be rather seen as a particular TISPAN-specified CDN user. Common activities with ETSI MCD will likely result in common specifications for CDN interconnection...
> 
> Regarding OIPF the description made in the PS does not mention that the end-to-network aspects include interaction with a CDN and dissemination of content distribution metadata... 
> 
> The descriptions we provide reflect the current works in these bodies.
> 
>> 
>> Or, are you suggesting we include additional material/background text, in
>> which case any review or proposal you could provide would be most welcome
>> (I do not participate in either ETSI or OIPF).
> 
> ------------------------------------------------------------------ 
> 
> Draft of Proposal: for the section 3
> 
> 3. State of the art on standardization
> 
> This section presents the state of the art of standardization related to CDN and Content services such as IPTV and CoD. Then it discusses the gaps in the standardisation of CDN interconnection for dataplane, CDN, Content Distribution Metadata, IPTV and CoD.
> <TODO: add request transfert >
> 
> 
> 3.1 relevant Standardization Activities
> 
> 3GPP:
> 
>  3GPP has specified a Progressive Download and Dynamic Adaptive Streaming over HTTP [3GP-DASH] based on a Media Presentation Description (MPD) and Media Segmentation Format.
> 
>   It may be a candidate for content acquisition between CDNs in a CDN Interconnect environment
> 
> ATIS IIF:
> 
>   ATIS [ATIS] is the Alliance for Telecommunications Industry
>   Solutions. IIF is the IPTV Interoperability Forum within ATIS that develops
>   requirements, standards, and specifications for IPTV.
> 
>   The IIF is developing the "IPTV Content on Demand (CoD) Service"
>   specification.  This includes use of a CDN (referred to in ATIS IIF
>   CoD as the "Content Distribution and Delivery Functions") for support
>   of a Content on Demand (CoD) Service as part of a broader IPTV
>   service.  However, this only covers the case of a managed IPTV
>   service (in particular where the CDN is administered by the IPTV
>   service provider) and does not cover the use, or interconnection, of
>   multiple CDNs.
> 
> 
> CableLabs:
> 
>   "Founded in 1988 by cable operating companies, Cable Television
>   Laboratories, Inc. (CableLabs) is a non-profit research and
>   development consortium that is dedicated to pursuing new cable
>   telecommunications technologies and to helping its cable operator
>   members integrate those technical advancements into their business
>   objectives."  [CableLabs]
> 
>   Cable Labs has defined specifications for CoD Content Metadata as
>   part of its VOD Metadata project. 
> 
> 
> ETSI:
> 
>   ETSI is the European Telecommunications Standards Institute.  ETSI
>   produces standards for Information and Communications Technologies
>   (ICT), including fixed, mobile, radio, converged, broadcast and
>   internet technologies.
> 
> 
> ETSI MCD:
> 
> 
>   MCD (Media Content Distribution) is the ETSI technical committee "in
>   charge of guiding and coordinating standardization work aiming at the
>   successful overall development of multimedia systems (television and
>   communication) responding to the present and future market requests
>   on media content distribution".
> 
>   MCD created a specific work item on interconnection of heterogeneous
>   CDNs ("CDN Interconnection, use cases and requirements") in March
>   2010.  However, no protocol level work has yet started in MCD for CDN
>   Interconnect.
> 
> ETSI TISPAN: 
> 
> 
>   TISPAN has published two sets of IPTV specifications, one of which is based
>   on IMS.  In addition, TISPAN is about to complete the specifications of a 
>   CDN architecture supporting delivery of various content services such as
>   time-shifted TV and VoD to TISPAN devices (UEs) or regular PCs.  The use
>   cases allow for hierarchically and geographically distributed CDN scenarios,
>   along with multi-CDN cooperation.  As a result, the architecture contains
>   reference points to support interconnection of other TISPAN CDNs.  
>   The protocols phase for the CDN architecture has been started end of 2010.
> 
> Eurescom P1955
> 
> This 2010 project involving European Network operators, studied the interests and feasibility of interconnecting CDNs by firstly elaborating main service models around CDN interconnection, analysing an adequate CDN interconnection technical architecture and framework, and finally by providing recommendations for telcos to implement CDN interconnection. Eurescom project has ended in July 2010.
> 
> IETF CDI WG:
> 
> IETF CDI WG was formed in 2000 and closed in 2003.  
> 
> 
> It published 3 Informational RFCs:
> 
>   o  RFC 3466 [RFC3466] - "A Model for Content Internetworking (CDI)".
>   o  RFC 3568 [RFC3568] - "Known Content Network (CN) Request-Routing
>      Mechanisms".
>   o  RFC 3570 [RFC3570] - "Content Internetworking (CDI) Scenarios".
> 
> Following is an extract of its charter [CDI-Charter] showing that it 
> touched on the same problem space:
>   o  The goal of this working group is to define protocols to allow the
>      interoperation of separately-administered content networks.
>   o  A content network is an architecture of network elements, arranged
>      for efficient delivery of digital content.  Such content includes,
>      but is not limited to, web pages and images delivered via HTTP,
>      and streaming or continuous media which are controlled by RTSP.
>   o  The working group will first define requirements for three modes
>      of content internetworking: interoperation of Request-Transfer
>      systems, interoperation of distribution systems, and
>      interoperation of accounting systems.  These requirements are
>      intended to lead to a follow-on effort to define protocols for
>      interoperation of these systems.
>   o  In its initial form, the working group is not chartered to deliver
>      those protocols [...]
> 
> 
> IETF Decade WG:
> 
> It specifies cache control interoperability.
> <TODO: complete with some description of the interfaces and a sht on the cd policy>
> 
> IRTF P2P Research Group:
> 
>   Some information on CDN interconnection motivations and technical
>   issues were presented in the P2P RG at IETF 77.  The presentation can
>   be found in [P2PRG-CDNI].
> 
> 
> ITU-T:
> 
> SG13 is developing standards related to the support of IPTV services (i.e.. multimedia services such as television/VoD/audio/text/graphics/data delivered over IP-based networks managed).
> 
> ITU-T Recommendation Y.1910 provides the description of the IPTV functional architecture. This architecture includes functions and interfaces for the distribution and delivery of contents. This architecture is closed to ATIS IIF architecture.
> 
> Based upon ITU-T Rec. Y.1910, Rec. IUT-T Y.2019 describes in more details the content delivery functional architecture. This architecture allows CDN Interconnection: some interfaces (such as D3, D4) at the control level allow relationship between different CDNs, in the same domain or in different domains. 
> Generic procedures are described, but the choice of the protocols is open.
> 
> Open IPTV Forum (OIPF):
> 
> OIPF specifications are freely available at http://www.oipf.tv/specifications.html
> 
>   The Open IPTV Forum has fully specified [OIPF-Overview] an end-to-end solution to allow
>   Any OIPF terminal to access enriched and personalised IPTV services
>   either in a managed or a non-managed network. Services like nPVR and Personal Channel are hosted in a CDN.
>   To that end, the Open IPTV Forum specification is made of 5 parts:
> 
> - Media Formats including HTTP Adaptive Streaming
> - Content Metadata
> - Protocols
> - Terminal (Declarative or Procedural Application Environment)
> - Authentication, Content Protection and Service Protection
> 
> 
> OCEAN:
> 
> OCEAN (http://www.ict-ocean.eu/) is an EU funded research project that started in February 2010 for 3 years.  Some of its objectives are relevant to CDNI. It aims among others at designing a new architectural framework for audiovisual content delivery over Internet, defining public interfaces between its major building blocks in order to foster multi-vendor solutions and interconnection between Content Networks (the term "Content Networks" corresponds here to the definition introduced in [IETF RFC3466], it encompasses CDNs)
> OCEAN has not yet published any open specifications, nor common best practices, defining how to achieve such CDN interconnection."
> 
> 
> TV-Anytime Forum:
> 
> The Version 1 of its specifications was published as TS 102 822-1 'Broadcast and On-line Services: Search, select, and rightful use of content on personal storage systems ("TV-Anytime")'. It includes the specification of metadata in XML schemas which define technical parameters for the distribution of CoD and Live contents. The specification is referenced by DVB and OIPF. The TV-Anytime URI (CRID) is specified in RFC4078. 
> 
> The specifications are available at http://www.tv-anytime.org/. The TV-anytime Forum was closed in 2005. 
> 
> 3.2 Gap Analysis in standardization
> 
> Todo
> 
> 
> 
> Regards
> Emile

---

From: <[email-masked]>
Date: Mon, 10 Jan 2011 09:42:36 +0100

Hi Ben,
 
> Regarding your proposal to "discuss each CDNi aspects in a dedicated
> section", I suggest we structure this section along the lines of the
four
> CDNI APIs we propose and for each API describe what parts of existing
CDNI
> work in other SDOs could be reused and what gaps still exist. Does
this
> sound a reasonable way to structure the gap analysis you asked for?
 
I think that this is fine. I drafted something that may be reused. See
below.

 
3GPP:
 
  3GPP has specified a Progressive Download and Dynamic Adaptive
Streaming over HTTP [3GP-DASH] based on a Media Presentation Description
(MPD) and Media Segmentation Format.
 
   It may be a candidate for content acquisition between CDNs in a CDN
Interconnect environment
 
ATIS IIF:
 
   ATIS [ATIS] is the Alliance for Telecommunications Industry
   Solutions. IIF is the IPTV Interoperability Forum within ATIS that
develops
   requirements, standards, and specifications for IPTV.

CableLabs:

ETSI:

ETSI MCD:

 
ETSI TISPAN: 

   TISPAN has published two sets of IPTV specifications, one of which is
based
   on IMS.  In addition, TISPAN is about to complete the specifications
of a 
   CDN architecture supporting delivery of various content services such
as
   time-shifted TV and VoD to TISPAN devices (UEs) or regular PCs.  The
use
   cases allow for hierarchically and geographically distributed CDN
scenarios,
   along with multi-CDN cooperation.  As a result, the architecture
contains
   reference points to support interconnection of other TISPAN CDNs.  
   The protocols phase for the CDN architecture has been started end of
2010.
 
Eurescom P1955
 
This 2010 project involving European Network operators, studied the
interests and feasibility of interconnecting CDNs by firstly elaborating
main service models around CDN interconnection, analysing an adequate
CDN interconnection technical architecture and framework, and finally by
providing recommendations for telcos to implement CDN interconnection.
Eurescom project has ended in July 2010.
 
IETF CDI WG:

 

IETF Decade WG:
 
It specifies cache control interoperability.
<TODO: complete with some description of the interfaces and a sht on the
cd policy>
 
IRTF P2P Research Group:

ITU-T:
  
SG13 is developing standards related to the support of IPTV services
(i.e.. multimedia services such as
television/VoD/audio/text/graphics/data delivered over IP-based networks
managed).
 
ITU-T Recommendation Y.1910 provides the description of the IPTV
functional architecture. This architecture includes functions and
interfaces for the distribution and delivery of contents. This
architecture is closed to ATIS IIF architecture.
 
Based upon ITU-T Rec. Y.1910, Rec. IUT-T Y.2019 describes in more
details the content delivery functional architecture. This architecture
allows CDN Interconnection: some interfaces (such as D3, D4) at the
control level allow relationship between different CDNs, in the same
domain or in different domains. 
Generic procedures are described, but the choice of the protocols is
open.
 
Open IPTV Forum (OIPF):
 
OIPF specifications are freely available at
http://www.oipf.tv/specifications.html
 
   The Open IPTV Forum has fully specified [OIPF-Overview] an end-to-end
solution to allow
   Any OIPF terminal to access enriched and personalised IPTV services
   either in a managed or a non-managed network. Services like nPVR and
Personal Channel are hosted in a CDN.
   To that end, the Open IPTV Forum specification is made of 5 parts:

OCEAN:
 
OCEAN (http://www.ict-ocean.eu/) is an EU funded research project that
started in February 2010 for 3 years.  Some of its objectives are
relevant to CDNI. It aims among others at designing a new architectural
framework for audiovisual content delivery over Internet, defining
public interfaces between its major building blocks in order to foster
multi-vendor solutions and interconnection between Content Networks (the
term "Content Networks" corresponds here to the definition introduced in
[IETF RFC3466], it encompasses CDNs)
OCEAN has not yet published any open specifications, nor common best
practices, defining how to achieve such CDN interconnection."

TV-Anytime Forum:
 
The Version 1 of its specifications was published as TS 102 822-1
'Broadcast and On-line Services: Search, select, and rightful use of
content on personal storage systems ("TV-Anytime")'. It includes the
specification of metadata in XML schemas which define technical
parameters for the distribution of CoD and Live contents. The
specification is referenced by DVB and OIPF. The TV-Anytime URI (CRID)
is specified in RFC4078. 
 
The specifications are available at http://www.tv-anytime.org/. The
TV-anytime Forum was closed in 2005. 

3.2 Gap Analysis in standardisation

3.2.1 Dataplane
 
ATIS, TISPAN and OIPF specifications use the same protocols for
distribution the content: RTP/RTCP and HTTP flavors.
 
3.2.2 IPTV
 
ATIS, TISPAN and OIPF
 
ATIS, OIPF and TISPAN specify the architecture and the protocols of an
IPTV solution.
OIPF and ATIS specifications include the interaction with a CDN.

3.2.3 CDNs 

   The IETF CDI WG touched on the same problem space as the present
   document.
 
   Although the market, design and requirements placed on CDNs has
   changed since 2003, the RFCs above provide a reasonable starting
   point and framework for discussing CDN Interconnect.
 
   However, in accordance with its initial charter, the CDI WG did not
   define any protocols or interfaces to actually enable CDN
   Interconnection and at that time (2003) there was not enough industry
   interest and real life requirements to justify rechartering the WG to
   conduct the corresponding protocol work.

TISPAN has a dedicated specification for CDN. 
 
OIPF and ATIS CDN specifications are coupled with the IPTV
specification. OIPF may delimit the CDN in its architecture in the
future.
 
<TODO: Add a sentence on ITU>
 
3.2.4 Content Distribution Metadata:
 
Cable Labs, ITU, OIPF and TV-anytime have work items dedicated to the
specification of metadata for content distribution. 
 
OIPF:
Before receiving a content, an Open IPTV Terminal (OITF) received the
technical description of the content distribution from the OIPF IPTV
platform. The Content distribution metadata is sent at the format of
TV-Anytime XSD presented below. "ProgramLocationType" describes the
location. "OnDemandProgramType" and "ScheduleEventType" describe the
time availability of CoD and Live content.

<complexType name="ProgramLocationType" abstract="true">
  <sequence>
    <element name="Program" type="tva:CRIDRefType"/>
    <element name="ProgramURL" type="anyURI" minOccurs="0"/>
    <element name="InstanceMetadataId" type="tva:InstanceMetadataIdType"
minOccurs="0"/>
    <element name="InstanceDescription"
type="tva:InstanceDescriptionType" minOccurs="0"/>
  </sequence>
</complexType>

<complexType name="OnDemandProgramType">
  <complexContent>
    <extension base="tva:ProgramLocationType">
      <sequence>
        <element name="PublishedDuration" type="duration"
minOccurs="0"/>
        <element name="StartOfAvailability" type="dateTime"
minOccurs="0"/>
        <element name="EndOfAvailability" type="dateTime"
minOccurs="0"/>
        <element name="FirstAvailability" type="tva:FlagType"
minOccurs="0"/>
        <element name="LastAvailability" type="tva:FlagType"
minOccurs="0"/>
      </sequence>
      <attributeGroup ref="tva:fragmentIdentification"/>
    </extension>
  </complexContent>
</complexType>
 
<complexType name="ScheduleEventType">
  <complexContent>
    <extension base="tva:ProgramLocationType">
     <sequence>
       <element name="PublishedStartTime" type="dateTime"
minOccurs="0"/>
       <element name="PublishedEndTime" type="dateTime" minOccurs="0"/>
       <element name="PublishedDuration" type="duration" minOccurs="0"/>
       <element name="Live" type="tva:FlagType" minOccurs="0"/>
       <element name="Repeat" type="tva:FlagType" minOccurs="0"/>
       <element name="FirstShowing" type="tva:FlagType" minOccurs="0"/>
       <element name="LastShowing" type="tva:FlagType" minOccurs="0"/>
     </sequence>
    </extension>
  </complexContent>
</complexType>
 
Figure N, TV-Anytime Content Distribution XSD parts
---------------------------------

Cable Labs has defined specifications for CoD Content Metadata as
   part of its VOD Metadata project. 
 "The VOD Metadata project is a
   cable television industry and cross-industry-wide effort to specify
   the metadata and interfaces for distribution of video-on-demand (VOD)
   material from multiple content providers to cable operators."
   [CableLabs-Metadata]
 
   However, while the CableLabs work specifies an interface between a
   content provider and a service provider running a CDN, it does not
   include an interface that could be used between CDNs.

ITU SG16 specifies metadata for content distribution:
 
H.IPTV-CPMD <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7398>
Metadata for AV content provisioning in IPTV services      
 
H.IPTV-MDSD <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7309>
Metadata schema for service discovery and content consumption for IPTV
services    2010
 
HSTP.IPTV-CMA <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7252>
Content and metadata adaptation for IPTV services    
 
HSTP.IPTV-RIM <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=6960>
Requirements on metadata for rights information interoperability       
 
HSTP.IPTV-UMCI <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7319>
Use cases of metadata for IPTV services 

This specification may include content metadata of interest for CDNI.

 
Niven-Jenkins, et al.     Expires June 5, 2011                  [Page 8]
 
Internet-Draft    CDN Interconnection Problem Statement    December 2010

3.2.5 CoD

OIPF has fully specified the CoD service.  Its dataplane could be a
   candidate for content acquisition between CDNs in a CDN Interconnect
environment. OIPF dataplane includes RTP and HTTP flavors (HTTP
progressive download, HTTP Adaptive streaming [3GP-DASH],...) .
 
   ATIS specification "IPTV Content on Demand (CoD) Service" defines a
   reference point (C2) and the corresponding HTTP-based data plane
   protocol for content acquisition between an authoritative origin
   server and the CDN.  While this protocol has not been explicitly
   specified for content acquisition across CDNs, it could be a
   candidate (in addition to others such as standard HTTP) for content
   acquisition between CDNs in a CDN Interconnect environment.

Regards
Emile

________________________________

---

From: <[email-masked]>
Date: Mon, 10 Jan 2011 10:15:48 +0100

Hi Ben,
 
I forget the ref for 3GPP HAS
 
   [3GP-DASH] 
              "Progressive Download and Dynamic Adaptive Streaming over HTTP"
              http://www.3gpp.org/ftp/Specs/html-info/26.234.htm
 
regards
Emile

De : [email-masked] [mailto:[email-masked]] De la part de [email-masked]
Envoyé : lundi 10 janvier 2011 09:43
À : [email-masked]; [email-masked]
Cc : [email-masked]
Objet : Re: [CDNi] "CDN Interconnect" BOF in Prague - SDOs descriptions
 
Hi Ben,
 
> section", I suggest we structure this section along the lines of the four
> CDNI APIs we propose and for each API describe what parts of existing CDNI
> work in other SDOs could be reused and what gaps still exist. Does this
 
I think that this is fine. I drafted something that may be reused. See below.

 
3GPP:

 
ATIS IIF:

CableLabs:

ETSI:

ETSI MCD:

 
ETSI TISPAN: 

Eurescom P1955

IETF CDI WG:

 

IETF Decade WG:

IRTF P2P Research Group:

ITU-T:

 
 
Open IPTV Forum (OIPF):

 

OCEAN:

TV-Anytime Forum:

3.2.1 Dataplane
 
ATIS, TISPAN and OIPF specifications use the same protocols for distribution the content: RTP/RTCP and HTTP flavors.
 
3.2.2 IPTV
 
ATIS, TISPAN and OIPF
 
ATIS, OIPF and TISPAN specify the architecture and the protocols of an IPTV solution.
OIPF and ATIS specifications include the interaction with a CDN.

3.2.3 CDNs 

 

 
OIPF and ATIS CDN specifications are coupled with the IPTV specification. OIPF may delimit the CDN in its architecture in the future.

 
Cable Labs, ITU, OIPF and TV-anytime have work items dedicated to the specification of metadata for content distribution. 
 
OIPF:
Before receiving a content, an Open IPTV Terminal (OITF) received the technical description of the content distribution from the OIPF IPTV platform. The Content distribution metadata is sent at the format of TV-Anytime XSD presented below. "ProgramLocationType" describes the location. "OnDemandProgramType" and "ScheduleEventType" describe the time availability of CoD and Live content.

<complexType name="ProgramLocationType" abstract="true">
  <sequence>
    <element name="Program" type="tva:CRIDRefType"/>
    <element name="ProgramURL" type="anyURI" minOccurs="0"/>
    <element name="InstanceMetadataId" type="tva:InstanceMetadataIdType" minOccurs="0"/>
    <element name="InstanceDescription" type="tva:InstanceDescriptionType" minOccurs="0"/>
  </sequence>
</complexType>

<complexType name="OnDemandProgramType">
  <complexContent>
    <extension base="tva:ProgramLocationType">
      <sequence>
        <element name="PublishedDuration" type="duration" minOccurs="0"/>
        <element name="StartOfAvailability" type="dateTime" minOccurs="0"/>
        <element name="EndOfAvailability" type="dateTime" minOccurs="0"/>
        <element name="FirstAvailability" type="tva:FlagType" minOccurs="0"/>
        <element name="LastAvailability" type="tva:FlagType" minOccurs="0"/>
      </sequence>
      <attributeGroup ref="tva:fragmentIdentification"/>
    </extension>
  </complexContent>
</complexType>
 
       <element name="PublishedStartTime" type="dateTime" minOccurs="0"/>

 

 
H.IPTV-CPMD <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7398>       Metadata for AV content provisioning in IPTV services      
 
H.IPTV-MDSD <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7309>       Metadata schema for service discovery and content consumption for IPTV services   2010
 
HSTP.IPTV-CMA <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7252>     Content and metadata adaptation for IPTV services    
 
HSTP.IPTV-RIM <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=6960>     Requirements on metadata for rights information interoperability      
 
HSTP.IPTV-UMCI <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7319>    Use cases of metadata for IPTV services 

 

3.2.5 CoD

OIPF has fully specified the CoD service.  Its dataplane could be a
   candidate for content acquisition between CDNs in a CDN Interconnect environment. OIPF dataplane includes RTP and HTTP flavors (HTTP progressive download, HTTP Adaptive streaming [3GP-DASH],...) .

 
Regards
Emile

---

From: Ben Niven-Jenkins <[email-masked]>
Date: Mon, 10 Jan 2011 10:52:09 +0000

Thanks Emile. We will include the text you propose below in the updated problem statement. Ben

On 10 Jan 2011, at 09:15, <[email-masked]> <[email-masked]> wrote:

> OCEAN (http://www.ict-ocean.eu/) is an EU funded research project that started in February 2010 for 3 years.  Some of its objectives are relevant to CDNI. It aims among others at designing a new architectural framework for audiovisual content delivery over Internet, defining public interfaces between its major building blocks in order to foster multi-vendor solutions and interconnection between Content Networks (the term “Content Networks” corresponds here to the definition introduced in [IETF RFC3466], it encompasses CDNs)
> OCEAN has not yet published any open specifications, nor common best practices, defining how to achieve such CDN interconnection.”
>  
>  
> TV-Anytime Forum:
>  
> H.IPTV-CPMD      Metadata for AV content provisioning in IPTV services      
>  
> H.IPTV-MDSD      Metadata schema for service discovery and content consumption for IPTV services   2010
>  
> HSTP.IPTV-CMA    Content and metadata adaptation for IPTV services   
>  
> HSTP.IPTV-RIM    Requirements on metadata for rights information interoperability     
>  
> HSTP.IPTV-UMCI   Use cases of metadata for IPTV services
>  
>

---

From: <[email-masked]>
Date: Tue, 11 Jan 2011 08:48:44 +0100

Hi Ben

I forgot the ref to TV-Anytime Metadata too.

Please use the reference for

 [TVA-CDmD]
          "Metadata Specification Version 1.3", 
          http://www.tv-anytime.org/workinggroups/wg-md.html 

The XML objects ProgramLocationType, OnDemandProgramType and
ScheduleEventType are defined in the PartA document.

Regards
Emile